Skip to content
Get started

Export calls history

POST/call/export

Export a list of call attempts as a CSV file.

Body ParametersJSONExpand Collapse
filters: object { assignee_ids, assistant_ids, campaign_ids, 12 more }
assignee_ids: array of string
assistant_ids: array of string
campaign_ids: array of string
directions: array of "inbound" or "outbound"
One of the following:
"inbound"
"outbound"
from_phone_numbers: array of string
outcomes: array of "not_interested" or "interested" or "completed" or 2 more
One of the following:
"not_interested"
"interested"
"completed"
"requested_callback_later"
"none"
page: number
minimum1
maximum9007199254740991
page_size: number
minimum1
maximum50000
results: array of "IVR" or "voicemail" or "human" or 3 more
One of the following:
"IVR"
"voicemail"
"human"
"unknown"
"ios-screening-filter"
"none"
statuses: array of "initializing" or "queued_for_calling" or "calling" or 6 more
One of the following:
"initializing"
"queued_for_calling"
"calling"
"post_processing"
"scheduled"
"paused"
"completed"
"cancelled"
"errored"
call_ids: optional array of string
query: optional string
sort_by: optional string
sort_direction: optional "asc" or "desc"
One of the following:
"asc"
"desc"
to_phone_number: optional string
include_metadata: optional boolean

Whether to include the metadata in the CSV file. These are the fields you (optionally) attached when placing the call.

include_structured_output_fields: optional boolean

Whether to include the structured output fields in the CSV file. These are generated by our AI agent during call analysis phase.

ReturnsExpand Collapse
csv: string
filename: string

Export calls history

curl https://www.getrevox.com/api/call/export \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $REVOX_API_KEY" \
    -d '{
          "filters": {
            "assignee_ids": [
              "string"
            ],
            "assistant_ids": [
              "string"
            ],
            "campaign_ids": [
              "string"
            ],
            "directions": [
              "inbound"
            ],
            "from_phone_numbers": [
              "string"
            ],
            "outcomes": [
              "not_interested"
            ],
            "page": 1,
            "page_size": 1,
            "results": [
              "IVR"
            ],
            "statuses": [
              "initializing"
            ]
          }
        }'
{
  "csv": "csv",
  "filename": "filename"
}
Returns Examples
{
  "csv": "csv",
  "filename": "filename"
}